uk.gov.hmrc.totp

# TotpSha1Generator

###
Related Doc: package totp

#### object TotpSha1Generator extends TotpSha1 with App

Linear Supertypes
App, DelayedInit, TotpSha1, HmacShaTotp, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TotpSha1Generator
2. App
3. DelayedInit
4. TotpSha1
5. HmacShaTotp
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def args: Array[String]

   Attributes
     protected
   Definition Classes
     App
   Annotations
     @deprecatedOverriding( "args should not be overridden" , "2.11.0" )

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final val codeLength: Int(6)

   Definition Classes
     TotpSha1 → HmacShaTotp

8. #### final val crypto: HmacSHA1.type

   Definition Classes
     TotpSha1 → HmacShaTotp

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### val executionStart: Long

    Definition Classes
      App

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### final def getTotp(secret: String, totpGenerationTimeInMillis: Long): String

    Definition Classes
      HmacShaTotp

15. #### final def getTotpCode(secret: String): String

    Definition Classes
      HmacShaTotp

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def main(args: Array[String]): Unit

    Definition Classes
      App
    Annotations
      @deprecatedOverriding( "main should not be overridden" , "2.11.0" )

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final val totpTimeInterval: FiniteDuration

    Definition Classes
      TotpSha1 → HmacShaTotp

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def delayedInit(body: ⇒ Unit): Unit

   Definition Classes
     App → DelayedInit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) The delayedInit mechanism will disappear.

### Inherited from App

### Inherited from DelayedInit

### Inherited from TotpSha1

### Inherited from HmacShaTotp

### Inherited from AnyRef

### Inherited from Any

### Ungrouped